Create a column
curl --request POST \
--url https://app.myhero.so/table/column \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tableId": "<string>",
"name": "<string>",
"data": {
"selectItems": [
{
"id": "<string>",
"label": "<string>",
"color": "<string>"
}
],
"number": {
"format": "<string>",
"decimalPlaces": 123
},
"oneMany": {
"tableId": "<string>"
}
}
}
'import requests
url = "https://app.myhero.so/table/column"
payload = {
"tableId": "<string>",
"name": "<string>",
"data": {
"selectItems": [
{
"id": "<string>",
"label": "<string>",
"color": "<string>"
}
],
"number": {
"format": "<string>",
"decimalPlaces": 123
},
"oneMany": { "tableId": "<string>" }
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tableId: '<string>',
name: '<string>',
data: {
selectItems: [{id: '<string>', label: '<string>', color: '<string>'}],
number: {format: '<string>', decimalPlaces: 123},
oneMany: {tableId: '<string>'}
}
})
};
fetch('https://app.myhero.so/table/column', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"column": {
"_id": "<string>",
"projectId": "<string>",
"tableId": "<string>",
"workspaceId": "<string>",
"isIdentifier": false,
"name": "<string>",
"slug": "<string>",
"data": {
"selectItems": [
{
"id": "<string>",
"label": "<string>",
"color": "<string>"
}
],
"number": {
"format": "<string>",
"decimalPlaces": 123
},
"oneMany": {
"tableId": "<string>"
}
},
"createdAt": 123,
"updatedAt": 123,
"originId": "<string>",
"description": "<string>",
"isDeleted": false
},
"cells": [
{
"_id": "<string>",
"tableId": "<string>",
"rowId": "<string>",
"columnId": "<string>",
"workspaceId": "<string>",
"isIdentifier": false,
"createdAt": 123,
"updatedAt": 123,
"originId": "<string>",
"data": "<unknown>",
"isDeleted": false
}
]
}
}{
"error": "<string>",
"message": "<string>",
"details": [
"<unknown>"
]
}{
"error": "<string>",
"message": "<string>",
"details": [
"<unknown>"
]
}{
"error": "<string>",
"message": "<string>",
"details": [
"<unknown>"
]
}Tables
Create a column
Adds a new typed column to the given table and creates blank cells for every existing row.
Specify data.type to set the column type (defaults to string).
For select/multiSelect columns, provide data.selectItems.
Returns the created column and the new cells.
POST
/
table
/
column
Create a column
⌘I